org.h2.engine

## Interface CastDataProvider

All Known Implementing Classes:
  Database, JdbcConnection, Session

    public interface CastDataProvider

Provides information for type casts and comparison operations.

### Method Summary

Methods
`ValueTimestampTimeZone` `currentTimestamp()` Returns the current timestamp with maximum resolution.
`Mode` `getMode()` Returns the database mode.

### Method Detail

#### currentTimestamp

    ValueTimestampTimeZone currentTimestamp()

Returns the current timestamp with maximum resolution. The value must be the same within a transaction or within execution of a command.

Returns:
  the current timestamp for CURRENT_TIMESTAMP(9)

#### getMode

    Mode getMode()

Returns the database mode.

Returns:
  the database mode